Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.property
Interface Parameter

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface Parameter

For use by portlets written to the IBM portlet API.

An action (encapsulated in the `Action` interface) is associated with several parameters (encapsulated in the `Parameter` interface), and each parameter is associated with a property (encapsulated in the `Property` interface). This interface is used to provide additional information about how a property is to be passed to/from the specific action it is associated with. If actions are declared in a WSDL file, the runtime will construct and register the `Action` and associated `Parameter` objects. If a WSDL file is not used, parameters may be programmatically constructed using `PropertyFactory`, followed by invoking the setters.

Since:
  5.0
See Also:
  `PropertyFactory`, `Action`, `Property`

Field Summary
`static java.lang.String` | `BOUND_TO_ACTION` Deprecated. Specifies that the parameter value is bound as an action parameter when the action is invoked.
`static java.lang.String` | `BOUND_TO_REQUEST_ATTRIBUTE` Deprecated. Specifies that the parameter value is bound as a request attribute when the action is invoked.
`static java.lang.String` | `BOUND_TO_REQUEST_PARAMETER` Deprecated. Specifies that the parameter value is bound as a request parameter when the action is invoked.
`static java.lang.String` | `BOUND_TO_SESSION` Deprecated. Specifies that the parameter value is bound as a session attribute when the action is invoked.

Method Summary
`Action` | `getAction()` Deprecated. Returns the parent `Action` object.
`java.lang.String` | `getBoundTo()` Deprecated. Returns where the parameter is bound.
`java.lang.String` | `getDescription()` Deprecated.
`java.lang.String` | `getDescription(java.util.Locale locale)` Deprecated. Return a string containing a description of the parameter.
`Property` | `getProperty()` Deprecated. Returns the associated `Property` object.
`java.lang.String` | `getTitle()` Deprecated.
`java.lang.String` | `getTitle(java.util.Locale locale)` Deprecated. Returns a string containing a short description of the parameter.
`boolean` | `isPresentIfNullValue()` Deprecated. Returns a value that governs the wire-triggering behavior if a parameter is found, but its value is null.
`void` | `setBoundTo(java.lang.String boundTo)` Deprecated. Set where the parameter is bound.
`void` | `setDescription(java.lang.String descriptionKey)` Deprecated.
`void` | `setDescriptionKey(java.lang.String descriptionKey)` Deprecated. Set the key for the description.
`void` | `setPresentIfNullValue(boolean presentIfNullValue)` Deprecated. Setter for presentIfNullValue.
`void` | `setTitle(java.lang.String titleKey)` Deprecated.
`void` | `setTitleKey(java.lang.String titleKey)` Deprecated. Set the key for the title.

Field Detail

### BOUND_TO_REQUEST_ATTRIBUTE

    static final java.lang.String BOUND_TO_REQUEST_ATTRIBUTE

  Deprecated.
  Specifies that the parameter value is bound as a request attribute when the action is invoked.

  See Also:
    Constant Field Values

### BOUND_TO_REQUEST_PARAMETER

    static final java.lang.String BOUND_TO_REQUEST_PARAMETER

  Deprecated.
  Specifies that the parameter value is bound as a request parameter when the action is invoked.

  See Also:
    Constant Field Values

### BOUND_TO_SESSION

    static final java.lang.String BOUND_TO_SESSION

  Deprecated.
  Specifies that the parameter value is bound as a session attribute when the action is invoked.

  See Also:
    Constant Field Values

### BOUND_TO_ACTION

    static final java.lang.String BOUND_TO_ACTION

  Deprecated.
  Specifies that the parameter value is bound as an action parameter when the action is invoked. This value may only be specified when the action type is `DEFAULT_PORTLET_ACTION`.

  See Also:
    `Action`, Constant Field Values

Method Detail

### getProperty

    Property getProperty()

  Deprecated.
  Returns the associated `Property` object.

  Returns:
    the associated `Property` object
  See Also:
    `Property`

### getAction

    Action getAction()

  Deprecated.
  Returns the parent `Action` object.

  Returns:
    the parent `Action` object
  See Also:
    `Action`

### getBoundTo

    java.lang.String getBoundTo()

  Deprecated.
  Returns where the parameter is bound.

  Returns:
    A `String` that specifies where the parameter is bound. The allowed values are specified by the constants in this interface.

### isPresentIfNullValue

    boolean isPresentIfNullValue()

  Deprecated.
  Returns a value that governs the wire-triggering behavior if a parameter is found, but its value is null. If true, for output parameters, wires will be triggered when the parameter is present, even if the parameter value is null. For input parameters, a triggered wire will cause the parameter value to be set, even if the value is null. The default value is false, ie, null values are not used for triggering wires.

  Returns:
    the boolean value governing the above behavior
  Since:
    5.1

### getTitle

    java.lang.String getTitle()

  Deprecated.

  This method is deprecated. Use the locale-specific version.

  Returns:
    a `String` containing a short description of the parameter.
  See Also:
    `getTitle(Locale)`

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  Deprecated.
  Returns a string containing a short description of the parameter. Displayed by tools as an aid to the user.

  Parameters:
    `locale` - the current locale
  Returns:
    a `String` containing a short description of the parameter.

### getDescription

    java.lang.String getDescription()

  Deprecated.

  This method is deprecated. Use the locale-specific version.

  Returns:
    a `String` containing a description of the parameter.
  See Also:
    `getDescription(Locale)`

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Deprecated.
  Return a string containing a description of the parameter. Displayed by tools or help text as an aid to the user.

  Parameters:
    `locale` - the current locale
  Returns:
    a `String` containing a description of the parameter.

### setBoundTo

    void setBoundTo(java.lang.String boundTo)
                    throws InvalidPropertyException

  Deprecated.
  Set where the parameter is bound. Must specify one of the constants defined in this class. If not explicitly set, the default value is `BOUND_TO_REQUEST_PARAMETER`.

  Parameters:
    `boundTo` - specifies where the parameter is bound.
  Throws:
    `InvalidPropertyException` - if the value does not satisfy the required constraint.
  See Also:
    `getBoundTo()`

### setPresentIfNullValue

    void setPresentIfNullValue(boolean presentIfNullValue)
                               throws InvalidPropertyException

  Deprecated.
  Setter for presentIfNullValue. See `isPresentIfNullValue` for a description of how the value is used.

  Parameters:
    `presentIfNullValue` - this indicates if null values are significant for this parameter; ie if they will cause wires to be triggered
  Throws:
    `InvalidPropertyException` - if this `Parameter` or its associated `Property` violates any required constraints
  Since:
    5.1
  See Also:
    `isPresentIfNullValue()`

### setTitle

    void setTitle(java.lang.String titleKey)

  Deprecated.

  This method is deprecated. Use `setTitleKey` instead.

  Parameters:
    `titleKey` - is used as a key to retrieve the locale-specific title.
  See Also:
    `setTitleKey(String )`

### setTitleKey

    void setTitleKey(java.lang.String titleKey)

  Deprecated.
  Set the key for the title. The locale specific information is set by the `setLocalizationInfo` method of the associated `Action`.

  Parameters:
    `titleKey` - is used as a key to retrieve the locale-specific title.
  See Also:
    `Action`, `getTitle(Locale)`

### setDescription

    void setDescription(java.lang.String descriptionKey)

  Deprecated.

  This method is deprecated. Use `setDescriptionKey` instead.

  Parameters:
    `descriptionKey` - is used as a key to retrieve the locale-specific description.
  See Also:
    `setDescriptionKey(String )`

### setDescriptionKey

    void setDescriptionKey(java.lang.String descriptionKey)

  Deprecated.
  Set the key for the description. The locale specific information is set by the `setLocalizationInfo` method of the associated `Action`.

  Parameters:
    `descriptionKey` - is used as a key to retrieve the locale-specific description.
  See Also:
    `Action`, `getDescription(Locale)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD